Skip to content
Commits on Source (9)
image: registry.gitlab.gnome.org/gnome/gnome-initial-setup/fedora:v1
stages:
- build
.job_template: &job_definition
stage: build
script:
# In general, we would like warnings to be fatal. However, code copied from
# gnome-control-center uses many deprecated functions. Until we have a good
# answer to sharing that code (#68), make those warnings non-fatal.
- meson -Dsystemd=${EXPLICIT_FEATURES}
--auto-features ${AUTO_FEATURES}
${OPTIONS}
-Dwerror=true -Dc_args=-Wno-error=deprecated-declarations
${EXTRA_PARAMETERS}
_build .
- cd _build
- ninja -v
# Check that strings can be extracted
- ninja -v gnome-initial-setup-pot
# Check the package can be installed
- DESTDIR=$(mktemp -d) ninja -v install
- meson test
artifacts:
when: on_failure
name: "gnome-initial-setup-${CI_COMMIT_REF_NAME}-${CI_JOB_NAME}"
paths:
- "${CI_PROJECT_DIR}/_build/meson-logs"
build-minimal:
<<: *job_definition
variables:
EXPLICIT_FEATURES: 'false'
AUTO_FEATURES: 'disabled'
OPTIONS: ''
build-maximal:
<<: *job_definition
variables:
EXPLICIT_FEATURES: 'true'
AUTO_FEATURES: 'enabled'
OPTIONS: '-Dvendor-conf-file=/var/lib/weird-vendor-specific-path.ini'
FROM registry.fedoraproject.org/fedora:33
# Malcontent is in updates-testing as of 2020-01-12
RUN dnf -y install --enablerepo=updates-testing \
ccache \
desktop-file-utils \
gcc \
gettext \
git \
gobject-introspection-devel \
gtk-doc \
ibus-devel \
intltool \
krb5-devel \
libpwquality-devel \
libsecret-devel \
meson \
ninja-build \
"pkgconfig(accountsservice)" \
"pkgconfig(cheese)" \
"pkgconfig(cheese-gtk)" \
"pkgconfig(flatpak)" \
"pkgconfig(fontconfig)" \
"pkgconfig(gdm)" \
"pkgconfig(geocode-glib-1.0)" \
"pkgconfig(gio-2.0)" \
"pkgconfig(gio-unix-2.0)" \
"pkgconfig(glib-2.0)" \
"pkgconfig(gnome-desktop-3.0)" \
"pkgconfig(goa-1.0)" \
"pkgconfig(goa-backend-1.0)" \
"pkgconfig(gstreamer-1.0)" \
"pkgconfig(gtk+-3.0)" \
"pkgconfig(gweather-3.0)" \
"pkgconfig(libgeoclue-2.0)" \
"pkgconfig(libnm)" \
"pkgconfig(libnma)" \
"pkgconfig(malcontent-ui-0)" \
"pkgconfig(webkit2gtk-4.0)" \
polkit-devel \
rest-devel \
&& dnf clean all
ARG HOST_USER_ID=5555
ENV HOST_USER_ID ${HOST_USER_ID}
RUN useradd -u $HOST_USER_ID -ms /bin/bash user
USER user
WORKDIR /home/user
ENV LANG C.utf8
ENV PATH="/usr/lib64/ccache:${PATH}"
#!/bin/bash
read_arg() {
# $1 = arg name
# $2 = arg value
# $3 = arg parameter
local rematch='^[^=]*=(.*)$'
if [[ $2 =~ $rematch ]]; then
read "$1" <<< "${BASH_REMATCH[1]}"
else
read "$1" <<< "$3"
# There is no way to shift our callers args, so
# return 1 to indicate they should do it instead.
return 1
fi
}
set -e
build=0
run=0
push=0
list=0
print_help=0
no_login=0
while (($# > 0)); do
case "${1%%=*}" in
build) build=1;;
run) run=1;;
push) push=1;;
list) list=1;;
help|--help|-h) print_help=1;;
--base|-b) read_arg base "$@" || shift;;
--base-version) read_arg base_version "$@" || shift;;
--no-login) no_login=1;;
*) echo -e "\e[1;31mERROR\e[0m: Unknown option '$1'"; exit 1;;
esac
shift
done
if [ $print_help == 1 ]; then
echo "$0 - Build and run Docker images"
echo ""
echo "Usage: $0 <command> [options] [basename]"
echo ""
echo "Available commands"
echo ""
echo " build --base=<BASENAME> - Build Docker image <BASENAME>.Dockerfile"
echo " run --base=<BASENAME> - Run Docker image <BASENAME>"
echo " push --base=<BASENAME> - Push Docker image <BASENAME> to the registry"
echo " list - List available images"
echo " help - This help message"
echo ""
exit 0
fi
cd "$(dirname "$0")"
if [ $list == 1 ]; then
echo "Available Docker images:"
for f in *.Dockerfile; do
filename=$( basename -- "$f" )
basename="${filename%.*}"
echo -e " \e[1;39m$basename\e[0m"
done
exit 0
fi
# All commands after this require --base to be set
if [ -z $base ]; then
echo "Usage: $0 <command> --base=<BASENAME>"
exit 1
fi
if [ ! -f "$base.Dockerfile" ]; then
echo -e "\e[1;31mERROR\e[0m: Dockerfile for '$base' not found"
exit 1
fi
if [ -z $base_version ]; then
base_version="latest"
else
base_version="v$base_version"
fi
if [ ! -x "$(command -v docker)" ] || (docker --help |& grep -q podman); then
# Docker is actually implemented by podman, and its OCI output
# is incompatible with some of the dockerd instances on GitLab
# CI runners.
echo "Using: Podman"
format="--format docker"
CMD="podman"
else
echo "Using: Docker"
format=""
CMD="sudo docker"
fi
REGISTRY="registry.gitlab.gnome.org"
TAG="${REGISTRY}/gnome/gnome-initial-setup/${base}:${base_version}"
if [ $build == 1 ]; then
echo -e "\e[1;32mBUILDING\e[0m: ${base} as ${TAG}"
${CMD} build \
${format} \
--build-arg HOST_USER_ID="$UID" \
--tag "${TAG}" \
--file "${base}.Dockerfile" .
exit $?
fi
if [ $push == 1 ]; then
echo -e "\e[1;32mPUSHING\e[0m: ${base} as ${TAG}"
if [ $no_login == 0 ]; then
${CMD} login ${REGISTRY}
fi
${CMD} push ${TAG}
exit $?
fi
if [ $run == 1 ]; then
echo -e "\e[1;32mRUNNING\e[0m: ${base} as ${TAG}"
${CMD} run \
--rm \
--volume "$(pwd)/..:/home/user/app" \
--workdir "/home/user/app" \
--tty \
--interactive "${TAG}" \
bash
exit $?
fi
40.4
----
* Bugs fixed:
- !119 timezone: fix critical on startup when geoclue is disabled
40.3
----
* Translation updates:
- Occitan
40.2
----
......
......@@ -189,7 +189,7 @@ on_geoclue_simple_ready (GObject *source_object,
if (local_error != NULL)
{
if (!g_error_matches (local_error, G_IO_ERROR, G_IO_ERROR_CANCELLED))
g_critical ("Failed to connect to GeoClue2 service: %s", local_error->message);
g_info ("Failed to connect to GeoClue2 service: %s", local_error->message);
return;
}
......
project('gnome-initial-setup',
['c'],
version: '40.2',
version: '40.4',
license: 'GPLv2',
meson_version: '>= 0.49.0',
)
......
......@@ -7,8 +7,8 @@ msgstr ""
"Project-Id-Version: gnome-initial-setup\n"
"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/gnome-initial-setup/"
"issues\n"
"POT-Creation-Date: 2021-03-19 10:47+0000\n"
"PO-Revision-Date: 2021-05-13 16:47+0200\n"
"POT-Creation-Date: 2021-05-13 14:49+0000\n"
"PO-Revision-Date: 2021-07-04 18:53+0200\n"
"Last-Translator: Quentin PAGÈS\n"
"Language-Team: Tot En Òc\n"
"Language: oc\n"
......@@ -16,7 +16,7 @@ msgstr ""
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n > 1);\n"
"X-Generator: Poedit 2.4.3\n"
"X-Generator: Poedit 3.0\n"
"X-Project-Style: gnome\n"
#: data/gnome-initial-setup-first-login.desktop.in.in:3
......@@ -153,7 +153,7 @@ msgstr "Administrator"
#: gnome-initial-setup/pages/account/gis-account-page-local.c:608
#, c-format
msgid "Failed to create user '%s': "
msgstr "Impossible de crear l'utilizaire « %s » :"
msgstr "Impossible de crear l'utilizaire « %s » : "
#: gnome-initial-setup/pages/account/gis-account-page-local.ui:21
msgid "Avatar image"
......@@ -181,6 +181,7 @@ msgstr "Configurar lo contraròtle parental per aqueste utilizaire"
#: gnome-initial-setup/pages/account/gis-account-page-local.ui:156
msgid "For use by a parent or supervisor, who must set up their own password."
msgstr ""
"Per usatge d’un parent o responsable, que deu configurar lor pròpri senhal."
#: gnome-initial-setup/pages/account/gis-account-page.ui:43
msgid "_Enterprise Login"
......@@ -212,7 +213,7 @@ msgstr "Senhal invalid, ensajatz tornamai"
#: gnome-initial-setup/pages/account/um-realm-manager.c:801
#, c-format
msgid "Couldn’t connect to the %s domain: %s"
msgstr "Impossible de se connectar al domeni %s : %s"
msgstr "Impossible de se connectar al domeni %s : %s"
#: gnome-initial-setup/pages/account/um-utils.c:248
msgid "Sorry, that user name isn’t available. Please try another."
......@@ -226,7 +227,7 @@ msgstr "Lo nom d'utilizaire es tròp long."
#: gnome-initial-setup/pages/account/um-utils.c:254
msgid "The username cannot start with a “-”."
msgstr "Lo nom d'utilizaire pòt pas començar per « - »."
msgstr "Lo nom d'utilizaire pòt pas començar per « - »."
#: gnome-initial-setup/pages/account/um-utils.c:257
msgid "That username isn’t available. Please try another."
......@@ -238,7 +239,7 @@ msgid ""
"digits and the following characters: . - _"
msgstr ""
"Lo nom d'utilizaire deu èsser unicament compausat de letras majusculas e "
"minusculas de a a z, de nombres e dels caractèrs seguents : . - _"
"minusculas de a a z, de nombres e dels caractèrs seguents : . - _"
#: gnome-initial-setup/pages/account/um-utils.c:264
msgid "This will be used to name your home folder and can’t be changed."
......@@ -312,7 +313,7 @@ msgstr "Benvenguda"
#.
#: gnome-initial-setup/pages/language/gis-welcome-widget.c:136
msgid "Welcome!"
msgstr "Benvenguda !"
msgstr "Benvenguda !"
#: gnome-initial-setup/pages/network/gis-network-page.c:318
msgctxt "Wireless access point"
......@@ -340,6 +341,9 @@ msgid ""
"Connecting to the internet helps you get new apps, information, and other "
"upgrades. It also helps set the time and your location automatically."
msgstr ""
"La connexion Internet vos ajuda a obténer de novèlas aplicacions, "
"informacions e d’autras mesas a jorn. Ajuda tanben a reglar l’ora e a vos "
"localizar automaticament."
#: gnome-initial-setup/pages/network/gis-network-page.ui:76
msgid "No wireless available"
......@@ -358,6 +362,8 @@ msgstr "Contraròtle parental per %s"
#: gnome-initial-setup/pages/parental-controls/gis-parental-controls-page.c:104
msgid "Set restrictions on what this user can run or install."
msgstr ""
"Definir las restriccions de çò que pòt executar o installar aqueste "
"utilizaire."
#: gnome-initial-setup/pages/parental-controls/gis-parental-controls-page.c:199
msgid "Parental Controls"
......@@ -387,7 +393,7 @@ msgstr "Definir un senhal pel contraròtle parent"
#: gnome-initial-setup/pages/password/gis-password-page.c:97
#, c-format
msgid "This password will control access to the parental controls for %s."
msgstr ""
msgstr "Aqueste senhal contrarotlarà l’accès al contraròtle parent de %s."
#: gnome-initial-setup/pages/password/gis-password-page.c:228
msgid "This is a weak password."
......@@ -505,7 +511,7 @@ msgid ""
"you need to mix up letters, numbers and punctuation."
msgstr ""
"Aqueste senhal es feble. Evitatz de repetir los meteisses tipes de "
"caractèrs : mesclatz de letras, de chifras e de la pontuacion."
"caractèrs : mesclatz de letras, de chifras e de la pontuacion."
#: gnome-initial-setup/pages/password/pw-utils.c:113
msgctxt "Password hint"
......@@ -554,7 +560,7 @@ msgstr ""
#: gnome-initial-setup/pages/privacy/gis-privacy-page.c:78
#, c-format
msgid "Problem data will be collected by %s:"
msgstr "Las donadas dels problèmas seràn collectadas per %s :"
msgstr "Las donadas dels problèmas seràn collectadas per %s :"
#: gnome-initial-setup/pages/privacy/gis-privacy-page.c:79
#: gnome-initial-setup/pages/privacy/gis-privacy-page.c:135
......@@ -564,7 +570,7 @@ msgstr "Politica de confidencialitat"
#: gnome-initial-setup/pages/privacy/gis-privacy-page.c:135
msgid "Uses Mozilla Location Service:"
msgstr "Utiliza los servicis de geolocalizacion de Mozilla :"
msgstr "Utiliza los servicis de geolocalizacion de Mozilla :"
#: gnome-initial-setup/pages/privacy/gis-privacy-page.c:246
#: gnome-initial-setup/pages/privacy/gis-privacy-page.ui:16
......@@ -688,6 +694,8 @@ msgid ""
"Setup will guide you through making an account and enabling some features. "
"We’ll have you up and running in no time."
msgstr ""
"La configuracion vos guidarà a travèrs la creacion d’un compte e "
"l’activacion d’unas foncionalitats. Vos preparem d’aquí res."
#: gnome-initial-setup/pages/welcome/gis-welcome-page.ui:54
msgid "_Start Setup"
......